#
# spec file for package perl-Unicode-LineBreak
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Unicode-LineBreak
Version:        2019.001
Release:        1.27
%define cpan_name Unicode-LineBreak
Summary:        UAX #14 Unicode Line Breaking Algorithm
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEZUMI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(MIME::Charset) >= 1.006.2
Requires:       perl(MIME::Charset) >= 1.006.2
%{perl_requires}

%description
Unicode::LineBreak performs Line Breaking Algorithm described in Unicode
Standard Annex #14 [UAX #14]. East_Asian_Width informative property defined
by Annex #11 [UAX #11] will be concerned to determine breaking positions.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes Changes.REL1 GPL Makefile.PL.sombok README Todo.REL1
%license ARTISTIC

%changelog
* Sat Dec 29 2018 Stephan Kulow <coolo@suse.com>
- updated to 2019.001
  see /usr/share/doc/packages/perl-Unicode-LineBreak/Changes
  2019.001  Sat Dec 29
  [#] No new features.
  ! Makefile.PL
  - GH PR#4: Added timeout to wget call in Makefile.PL by J. Bargsten.
  - CPAN RT#125079: Installation stuck after a wget.
    Fixed by changing scheme from ftp to https.
  ! lib/Text/LineFold.pm
  ! t/04fold.t
  - Fix: Text::LineFold: new() & config() did not allow multiple Prep option
  ! t/01break.t
  ! t/02hangul.t
  ! t/03ns.t
  ! t/04fold.t
  ! t/05urgent.t
  ! t/06context.t
  ! t/07sea.t
  ! t/08partial.t
  ! t/09uri.t
  ! t/11format.t
  ! t/12fold2.t
  ! t/13flowedsp.t
  ! t/14sea_al.t
  ! t/15array.t
  ! t/16regex.t
  ! t/17prop.t
  ! t/18currency.t
  - CPAN RT #120535: Fails tests when no "." in @INC.
  2018.012  Sat Dec 29 2018
  [#] Withdrawn.
* Fri Mar 30 2018 coolo@suse.com
- updated to 2018.003
  see /usr/share/doc/packages/perl-Unicode-LineBreak/Changes
  2018.003  Thu Mar 29 2018
  [#] No new features.
  ! Makefile.PL.sombok
  - CPAN RT#120370: Build fails with recent EUMM and some make variants.
    Patch by Alexandr Ciornii.
* Wed Apr 12 2017 coolo@suse.com
- updated to 2017.004
  see /usr/share/doc/packages/perl-Unicode-LineBreak/Changes
  2017.004  Tue Apr 11 2017
  [#] No new features.
  2016.007_02  Sat Jul 02 2016
  ! lib/Text/LineFold.pm
  ! t/04fold.t
  - CPAN RT#115146: Space indenting not happening with "From" or " ".
* Tue Mar 29 2016 coolo@suse.com
- updated to 2016.003
  see /usr/share/doc/packages/perl-Unicode-LineBreak/Changes.REL1
* Sun Nov 29 2015 coolo@suse.com
- updated to 2015.12
  see /usr/share/doc/packages/perl-Unicode-LineBreak/Changes.REL1
* Wed Nov  4 2015 coolo@suse.com
- updated to 2015.11
  see /usr/share/doc/packages/perl-Unicode-LineBreak/Changes.REL1
* Sun Jun 21 2015 coolo@suse.com
- updated to 2015.06
  see /usr/share/doc/packages/perl-Unicode-LineBreak/Changes
  2015.06  Sun Jun 21 2015
  [#] Unicode 8.0.0, bundled sombok 2.4.0.
  ! lib/Unicode/LineBreak.pod
  ! lib/POD2/JA/Unicode/LineBreak.pod
  ! t/18currency.y
  - add a change for U+20BE.
* Tue Jun 24 2014 elchevive@opensuse.org
- updated to version 2014.06
  [#] Unicode 7.0.0, bundled sombok 2.3.3.
  - add a change for U+20BB.
  - Repository has been moved to GitHub.
* Mon Nov 11 2013 elchevive@opensuse.org
- updated to version 2013.10
  * Unicode 6.3.0, bundled sombok-2.3.1.
  - Moved Japanese PODs to suit POD2 feature.
  - Commented-out "Methods planned to be deprecated".
  - Addition about IDEOGRAPHIC SPACE.
  - Added description about predefined property values for currency symbols.
  - Commented-out "Methods Planned to be Deprecated" and "Obsoleted Options".
  - A new constant IDEOGRAPHIC_SPACE.
  - On reserved codepoints for currency symbols.
  - Abort make if older libthai was found.
  - Decode arguments without utf8 flag as ISO-8859-1: CPAN RT #84661.
  - Added tests for non-utf8-flagged arguments.
* Fri Oct 19 2012 elchevive@opensuse.org
- initial packaging using 'cpansubmitter' package
